Bug 1000699 - Nightmare of updates
Nightmare of updates
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 07:49 EDT by Mikhail
Modified: 2015-02-17 11:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:54:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of htop (231.58 KB, image/png)
2013-08-24 09:27 EDT, Mikhail
no flags Details
screenshot mc1 (300.05 KB, image/png)
2013-08-29 18:52 EDT, Mikhail
no flags Details
screenshot mc2 (291.29 KB, image/png)
2013-08-29 18:53 EDT, Mikhail
no flags Details
screenshot mc3 (290.43 KB, image/png)
2013-08-29 18:54 EDT, Mikhail
no flags Details
screenshot mc after two days of removing .cache directory (299.09 KB, image/png)
2013-09-01 16:21 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-08-24 07:49:02 EDT
Description of problem:

Every time updating package selinux-policy-targeted run very long time about a day.

May be this related to this problem: https://bugzilla.redhat.com/show_bug.cgi?id=998267
Comment 1 Mikhail 2013-08-24 09:27:13 EDT
Created attachment 789854 [details]
screenshot of htop
Comment 2 Daniel Walsh 2013-08-26 15:54:43 EDT
How many files to you have in those directories?
Comment 3 Mikhail 2013-08-26 17:31:31 EDT
[mikhail@localhost ~]$ find /home/mikhail/.cache /home/mikhail-old/.cache /home/mikhail/.config /home/mikhail-old/.config -type f|wc -l
3209162
Comment 4 Miroslav Grepl 2013-08-27 04:01:45 EDT
Any chance to clean up these directories?
Comment 5 Mikhail 2013-08-27 04:04:34 EDT
This not solving problem because they grow again.
Comment 6 Daniel Walsh 2013-08-27 15:23:02 EDT
Mikhail and if you run 

restorecon -R -v /home/mikhail/.cache /home/mikhail-old/.cache /home/mikhail/.config /home/mikhail-old/.config 

Takes hours?
Comment 7 Mikhail 2013-08-27 22:06:49 EDT
# time restorecon -R -v /home/mikhail/.cache /home/mikhail-old/.cache /home/mikhail/.config /home/mikhail-old/.config 
restorecon get context on /home/mikhail/.cache/google-chrome/Default/Cache/f32e5ad3f7718b0a_2 failed: 'No such file or directory'
restorecon:  Warning no default label for /home/mikhail-old/.cache/deadbeef/covers/Ñåðãåé Ìèíàåâ
Сергей Минаев

real	220m36.509s
user	0m43.331s
sys	1m10.609s
Comment 8 Daniel Walsh 2013-08-28 14:41:26 EDT
But why are they so huge?
find ~/.config | wc -l
1855
find ~/.cache | wc -l
6042


And I have never cleaned these out?
Comment 9 Mikhail 2013-08-29 18:50:29 EDT
[mikhail@localhost ~]$ find ~/.config | wc -l
8792
[mikhail@localhost ~]$ find ~/.cache | wc -l
3166828
Comment 10 Mikhail 2013-08-29 18:52:14 EDT
Created attachment 791977 [details]
screenshot mc1
Comment 11 Mikhail 2013-08-29 18:53:13 EDT
Created attachment 791978 [details]
screenshot mc2
Comment 12 Mikhail 2013-08-29 18:54:26 EDT
Created attachment 791980 [details]
screenshot mc3
Comment 13 Daniel Walsh 2013-08-30 10:41:02 EDT
If chrome is throwing hundreds of thousands of files into you  homedir,  think you have a bug with them. 

I would remove some of those cache files

https://support.google.com/chrome/answer/95582?hl=en

This is the first bug we have seen complaining about this.  But I think we should remove this code if google is dropping thousands of files into these directrories.

The reason we are doing it is if new directory labeling is added to .config or .cache subdirs, we want to make sure they are labeled correctly.
Comment 14 Mikhail 2013-09-01 16:19:06 EDT
I removed the directory ~/.cache/google-chrome all night. And while deleting I can not do anything, all wildly lag. This is kernel problem or ext4?

But that's not all. For two days in the directory ~/.cache/google-chrome/Default/Cache has created 199184 files. And the growth rate is not reduced. Midnight Commander enter in this folder more than a minute. :(
Comment 15 Mikhail 2013-09-01 16:21:05 EDT
Created attachment 792663 [details]
screenshot mc after two days of removing .cache directory
Comment 16 Fedora End Of Life 2015-01-09 14:34:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-17 11:54:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.